Package org.xnio

# Interface IoFuture.Notifier<T,A>

Type Parameters:
  `T` - the type of result that the associated future operation produces
  `A` - the attachment type

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `IoFuture.HandlingNotifier`

Enclosing interface:
  `IoFuture<T>`

public static interface IoFuture.Notifier<T,A> extends EventListener
A notifier that handles changes in the status of an `IoFuture`.

## Method Summary

Modifier and Type
Method
Description
`void`
`notify(IoFuture<? extends T> ioFuture, A attachment)`
Receive notification of the completion of an outstanding operation.

## Method Details

### notify

void notify(IoFuture<? extends T> ioFuture, A attachment)
Receive notification of the completion of an outstanding operation.

Parameters:
  `ioFuture` - the future corresponding to this operation
  `attachment` - the attachment